import type { DeployConfigOptions } from './types';
import type { Editor } from 'mem-fs-editor';
import type { AbapDeployConfig } from '@sap-ux/ui5-config';
/**
 * Writes the template to the memfs editor instance.
 *
 * @param basePath - the base path
 * @param abapDeployConfig - the abap deploy config
 * @param options - the deploy config options
 * @param fs - the memfs editor instance
 * @returns the updated memfs editor instance
 */
declare function generate(basePath: string, abapDeployConfig: AbapDeployConfig, options?: DeployConfigOptions, fs?: Editor): Promise<Editor>;
export { generate };
//# sourceMappingURL=index.d.ts.map